Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.descriptor
Interface JspConfigDescriptor

    public interface JspConfigDescriptor

This interface provides access to the `<jsp-config>` related configuration of a web application.

The configuration is aggregated from the `web.xml` and `web-fragment.xml` descriptor files of the web application.

Since:
  Servlet 3.0

Method Summary
`java.util.Collection<JspPropertyGroupDescriptor>` | `getJspPropertyGroups()` Gets the `<jsp-property-group>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`.
`java.util.Collection<TaglibDescriptor>` | `getTaglibs()` Gets the `<taglib>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`.

Method Detail

### getTaglibs

    java.util.Collection<TaglibDescriptor> getTaglibs()

  Gets the `<taglib>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`.

  Any changes to the returned `Collection` must not affect this `JspConfigDescriptor`.

  Returns:
    a (possibly empty) `Collection` of the `<taglib<>/code> child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor``

### getJspPropertyGroups

    java.util.Collection<JspPropertyGroupDescriptor> getJspPropertyGroups()

  Gets the `<jsp-property-group>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`.

  Any changes to the returned `Collection` must not affect this `JspConfigDescriptor`.

  Returns:
    a (possibly empty) `Collection` of the `<jsp-property-group>` child elements of the `<jsp-config>` element represented by this `JspConfigDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.